> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token - Mint and Burn

> Get mint and burn information for a token



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/token/{chain}/{tokenAddress}/mintAndBurn
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/token/{chain}/{tokenAddress}/mintAndBurn:
    get:
      tags:
        - Token
      summary: Token - Mint and Burn
      description: Get mint and burn information for a token
      operationId: get.mint.and.burn
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: An address of a token
          required: true
          schema:
            type: string
          example: FZN7QZ8ZUUAxMPfxYEYkH3cXUASzH8EqA6B4tyCL8f1j
        - name: cursor
          in: query
          description: Pagination cursor
          required: false
          schema:
            type: string
          example: eyJpZCI6IjEyMyJ9
        - name: limit
          in: query
          description: Number of results per page
          required: false
          schema:
            type: integer
            format: int64
            default: 20
          example: 20
        - name: direction
          in: query
          description: Pagination direction (next or prev)
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
        - name: type
          in: query
          description: Filter type for mint and burn operations
          required: false
          schema:
            $ref: '#/components/schemas/MintBurnType'
          example: all
      responses:
        '200':
          description: Get Mint And Burn
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponse_TokenMintBurn'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    MintBurnType:
      type: string
      description: Mint/burn type filter
      enum:
        - all
        - mint
        - burn
    PageResponse_TokenMintBurn:
      type: object
      description: Generic pagination response
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            description: Token mint/burn event
            required:
              - tokenAddress
              - transactionSignature
              - blockTimestamp
              - blockHeight
              - amount
              - mintBurnType
            properties:
              amount:
                type: string
                description: Mint/burn amount
                example: '1000000'
              blockHeight:
                type: integer
                format: int64
                description: Block height
                example: 123456789
              blockTimestamp:
                type: integer
                format: int64
                description: Block timestamp (milliseconds)
                example: 1710417600000
              mintBurnType:
                $ref: '#/components/schemas/MintBurnType'
                description: Type of operation (mint or burn)
              tokenAddress:
                type: string
                description: Token contract address
                example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
              transactionSignature:
                type: string
                description: Transaction signature
                example: 3A7B9C1D2E4F6G8
          description: Page data
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
          example: eyJpZCI6ImVuZCJ9
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: false
        hasPrev:
          type: boolean
          description: Whether there is a previous page
          example: false
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
          example: eyJpZCI6InN0YXJ0In0=
        total:
          type:
            - integer
            - 'null'
          format: int64
          description: >-
            Total number of items matching the query (not just the current
            page).

            When `None`, the caller should treat it as unknown
            (backward-compatible).
          example: 564094
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````